From c0ae078e96527118c81a1bbbe518ae19e254225a Mon Sep 17 00:00:00 2001
From: SomeInterestingUserName <jchen2120212@gmail.com>
Date: Sat, 23 Mar 2019 11:33:41 -0400
Subject: [PATCH 10/13] Make unlit digits slightly visible

---
 src/qtgui/freqctrl.cpp | 3 ++-
 src/qtgui/freqctrl.h   | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/qtgui/freqctrl.cpp b/src/qtgui/freqctrl.cpp
index 4946bf2..ed419ed 100644
--- a/src/qtgui/freqctrl.cpp
+++ b/src/qtgui/freqctrl.cpp
@@ -54,6 +54,7 @@ CFreqCtrl::CFreqCtrl(QWidget *parent) :
     setFocusPolicy(Qt::StrongFocus);
     setMouseTracking(true);
     m_BkColor = QColor(0x1F, 0x1D, 0x1D, 0xFF);
+    m_InactiveColor = QColor(0x43, 0x43, 0x43, 0xFF);
     m_DigitColor = QColor(0xFF, 0xFF, 0xFF, 0xFF);
     m_HighlightColor = QColor(0x5A, 0x5A, 0x5A, 0xFF);
     m_UnitsColor = Qt::gray;
@@ -645,7 +646,7 @@ void CFreqCtrl::drawDigits(QPainter &Painter)
                 Painter.fillRect(m_DigitInfo[i].dQRect, m_BkColor);
 
             if (i >= m_LeadZeroPos)
-                Painter.setPen(m_BkColor);
+                Painter.setPen(m_InactiveColor);
             else
                 Painter.setPen(m_DigitColor);
 
diff --git a/src/qtgui/freqctrl.h b/src/qtgui/freqctrl.h
index 97f2fe7..08143ab 100644
--- a/src/qtgui/freqctrl.h
+++ b/src/qtgui/freqctrl.h
@@ -107,6 +107,7 @@ private:
 
     QColor      m_DigitColor;
     QColor      m_BkColor;
+    QColor      m_InactiveColor;
     QColor      m_UnitsColor;
     QColor      m_HighlightColor;
 
-- 
2.20.1

